# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['hyperdiv',
 'hyperdiv.cli',
 'hyperdiv.components',
 'hyperdiv.components.tests',
 'hyperdiv.core',
 'hyperdiv.core.tests',
 'hyperdiv.docs',
 'hyperdiv.docs.hyperdiv_docs',
 'hyperdiv.elements',
 'hyperdiv.elements.tests']

package_data = \
{'': ['*'],
 'hyperdiv': ['public/*',
              'public/build/*',
              'public/fonts/font-awesome/*',
              'public/fonts/nunito/*']}

install_requires = \
['Markdown>=3.3.7,<4.0.0',
 'click>=8.1.3,<9.0.0',
 'requests>=2.28.1,<3.0.0',
 'tornado>=6.1,<7.0',
 'xxhash>=3.0.0,<4.0.0',
 'yappi>=1.3.5,<2.0.0']

entry_points = \
{'console_scripts': ['hyperdiv = hyperdiv.cli.main:cli']}

setup_kwargs = {
    'name': 'hyperdiv',
    'version': '0.0.12',
    'description': 'Quickly build interactive web apps in pure Python',
    'long_description': "## Hyperdiv\n\nHyperdiv is a Python-based UI framework for making interactive\nweb apps. No frontend experience is required.  Everything can\nbe built using Python and delivered to users as a Python\nscript.\n\nIt ships with a collection of built-in UI components that are\nready to use right out of the box. The components can be\ncomposed together in arbitrary layouts, and styled to achieve\nyour own look and feel.\n\nSince it's Python, you can use any Python libraries you want,\nand connect to any data sources that Python can connect to.\n\n### Install Hyperdiv\n\nHyperdiv requires Python 3.9+. Install Hyperdiv from PyPI:\n\n```sh\npip3 install hyperdiv\n```\n\nTo get started, open the documentation app:\n\n```sh\nhyperdiv docs\n```\n",
    'author': 'Marius Nita',
    'author_email': 'm@mariusnita.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
